Create a reviewed scenario source proposal
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/scenario-proposals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"repositoryBindingId": "<string>",
"baseRevision": "<string>",
"input": {
"kind": "source",
"source": {}
}
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/scenario-proposals"
payload = {
"repositoryBindingId": "<string>",
"baseRevision": "<string>",
"input": {
"kind": "source",
"source": {}
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
repositoryBindingId: '<string>',
baseRevision: '<string>',
input: {kind: 'source', source: {}}
})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/scenario-proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proposal": {
"schemaVersion": 1,
"authoringProposalId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"baseRevision": "<string>",
"state": "ready",
"artifactDigest": "<string>",
"changedFiles": [
{
"path": "<string>",
"change": "added",
"beforeDigest": "<string>",
"afterDigest": "<string>",
"afterBytes": 1048576
}
],
"buildHash": "<string>",
"diagnostics": [
{
"code": "<string>",
"severity": "error",
"message": "<string>",
"span": {
"path": "<string>",
"start": {
"line": 4503599627370495,
"column": 4503599627370495
},
"end": {
"line": 4503599627370495,
"column": 4503599627370495
}
},
"path": [
"<string>"
],
"suggestion": "<string>",
"data": {}
}
],
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"source": "agent",
"authoringTurnId": "<string>",
"pullRequestNumber": 4503599627370495,
"pullRequestUrl": "<string>",
"publishedRevision": "<string>",
"publishedAtMs": 0
},
"unifiedDiff": "<string>",
"session": {
"schemaVersion": 1,
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"repositoryBindingId": "<string>",
"createdBy": "<string>",
"branch": "<string>",
"baseRevision": "<string>",
"state": "active",
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"activeTurnId": "<string>",
"currentProposalId": "<string>",
"closedAtMs": 0
}
}{
"proposal": {
"schemaVersion": 1,
"authoringProposalId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"baseRevision": "<string>",
"state": "ready",
"artifactDigest": "<string>",
"changedFiles": [
{
"path": "<string>",
"change": "added",
"beforeDigest": "<string>",
"afterDigest": "<string>",
"afterBytes": 1048576
}
],
"buildHash": "<string>",
"diagnostics": [
{
"code": "<string>",
"severity": "error",
"message": "<string>",
"span": {
"path": "<string>",
"start": {
"line": 4503599627370495,
"column": 4503599627370495
},
"end": {
"line": 4503599627370495,
"column": 4503599627370495
}
},
"path": [
"<string>"
],
"suggestion": "<string>",
"data": {}
}
],
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"source": "agent",
"authoringTurnId": "<string>",
"pullRequestNumber": 4503599627370495,
"pullRequestUrl": "<string>",
"publishedRevision": "<string>",
"publishedAtMs": 0
},
"unifiedDiff": "<string>",
"session": {
"schemaVersion": 1,
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"repositoryBindingId": "<string>",
"createdBy": "<string>",
"branch": "<string>",
"baseRevision": "<string>",
"state": "active",
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"activeTurnId": "<string>",
"currentProposalId": "<string>",
"closedAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Create a reviewed scenario source proposal
Requires authoring.run. Accepts canonical source or an explicit preset copied to the requested scenarioId, pinned to repositoryBindingId and baseRevision. Performs canonical source/build validation, then creates a reviewable authoring proposal and unified diff. Does not publish, deploy or execute an agent. Publication remains the existing exact-confirmation authoring proposal publish endpoint. Validation diagnostics return the canonical error envelope with issues.
Create a reviewed scenario source proposal
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Body
application/json